### Method

# Gio Task return_boolean

since: 2.36

#### Declaration

    void
    g_task_return_boolean (
      GTask* task,
      gboolean result
    )

#### Description

Sets `task`‘s result to `result` and completes the task (see `g_task_return_pointer()` for more discussion of exactly what this means).

Available since: 2.36

#### Parameters

`result`

  Type: `gboolean`

  The #gboolean result of a task function.